STRUCT RIO_NET(9)

NAME
struct_rio_net - RIO network info

SYNOPSIS

struct rio_net {
  struct list_head node;
  struct list_head devices;
  struct list_head switches;
  struct list_head mports;
  struct rio_mport * hport;
  unsigned char id;
  struct rio_id_table destid_table;
};

MEMBERS

node
    Node in global list of RIO networks

devices
    List of devices in this network

switches
    List of switches in this netowrk

mports
    List of master ports accessing this network

hport
    Default port for accessing this network

id
    RIO network ID

destid_table
    destID allocation table

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT